> ## Documentation Index
> Fetch the complete documentation index at: https://docs.li.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get integrator's collected fees data for all supported chains

> This endpoint can be used to request all integrator's collected fees data by tokens for all supported chains.
The endpoint returns an `Integrator` object which contains the integrator id and an array of fee balances for all supported chains.



## OpenAPI

````yaml get /v1/integrators/{integratorId}
openapi: 3.0.2
info:
  title: LI.FI API
  version: 1.0.0
  description: >-
    LI.FI provides the best cross-chain swap across all liquidity pools and
    bridges.
servers:
  - url: https://li.quest
    description: LI.FI Production Environment
  - url: https://staging.li.quest
    description: LI.FI Staging Environment
security: []
paths:
  /v1/integrators/{integratorId}:
    get:
      summary: Get integrator's collected fees data for all supported chains
      description: >-
        This endpoint can be used to request all integrator's collected fees
        data by tokens for all supported chains.

        The endpoint returns an `Integrator` object which contains the
        integrator id and an array of fee balances for all supported chains.
      parameters:
        - example: fee-demo
          name: integratorId
          description: Id of the integrator that requests fee balances
          schema:
            type: string
          in: path
          required: true
        - name: x-lifi-api-key
          description: >-
            Authentication header, register in the LI.FI Partner Portal
            (https://portal.li.fi/ ) to get your API Key.
          schema:
            type: string
          in: header
      responses:
        '200':
          $ref: '#/components/responses/IntegratorResponse'
        '404':
          $ref: '#/components/responses/InvalidIntegratorRequest'
components:
  responses:
    IntegratorResponse:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/IntegratorResponse'
          examples:
            ExampleIntegratorResponse:
              value:
                integratorId: fee-demo
                feeBalances:
                  - chainId: 137
                    tokenBalances:
                      - token:
                          address: '0x0000000000000000000000000000000000000000'
                          symbol: MATIC
                          decimals: 18
                          chainId: 137
                          name: MATIC
                          coinKey: MATIC
                          priceUSD: '0.742896'
                          logoURI: >-
                            https://static.debank.com/image/matic_token/logo_url/matic/6f5a6b6f0732a7a235131bd7804d357c.png
                        amount: 0
                        amountUsd: 0
      description: Response of the Integrator request
    InvalidIntegratorRequest:
      description: Integrator with the name ${integratorId} is not found
  schemas:
    IntegratorResponse:
      title: Root Type for IntegratorResponse
      description: Integrator's fee balance by chain
      required:
        - integratorId
      type: object
      properties:
        integratorId:
          description: The integrator's name or wallet address
          type: string
        feeBalances:
          description: The fee balances of the integrator
          type: array
          items:
            $ref: '#/components/schemas/FeeBalances'
      example:
        integratorId: fee-demo
        feeBalances:
          - chainId: 137
            tokenBalances:
              - token:
                  address: '0x0000000000000000000000000000000000000000'
                  symbol: MATIC
                  decimals: 18
                  chainId: 137
                  name: MATIC
                  coinKey: MATIC
                  priceUSD: '0.742896'
                  logoURI: >-
                    https://static.debank.com/image/matic_token/logo_url/matic/6f5a6b6f0732a7a235131bd7804d357c.png
                amount: 0
                amountUsd: 0
    FeeBalances:
      type: object
      properties:
        chainId:
          description: The id of the chain
          type: number
          example: 137
        tokenBalances:
          type: array
          items:
            $ref: '#/components/schemas/TokenBalances'
    TokenBalances:
      type: object
      properties:
        token:
          $ref: '#/components/schemas/Token'
          type: object
        amount:
          description: Fee amount in tokens
          type: string
          example: '0'
        amountUsd:
          description: Fee amount in USD
          type: string
          example: '0'
    Token:
      title: Root Type for Token
      description: Representation of a Token
      required:
        - address
        - chainId
        - decimals
        - name
        - symbol
      type: object
      properties:
        address:
          description: Address of the token
          type: string
        decimals:
          format: number
          description: Number of decimals the token uses
          type: number
        symbol:
          description: Symbol of the token
          type: string
        chainId:
          format: number
          description: Id of the token's chain
          type: number
        coinKey:
          description: Identifier for the token
          type: string
        name:
          description: Name of the token
          type: string
        logoURI:
          description: Logo of the token
          type: string
        priceUSD:
          description: Token price in USD
          type: string
      example:
        address: '0x8f3cf7ad23cd3cadbd9735aff958023239c6a063'
        symbol: DAI
        decimals: 18
        chainId: 137
        name: (PoS) Dai Stablecoin
        coinKey: DAI
        priceUSD: '1'
        logoURI: >-
          https://static.debank.com/image/matic_token/logo_url/0x8f3cf7ad23cd3cadbd9735aff958023239c6a063/549c4205dbb199f1b8b03af783f35e71.png

````